#
# IBM Confidential
#
# OCO Source Materials
#
# IBM Cognos Products: Moser
#
# (C) Copyright IBM Corp. 2015, 2016, 2017
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#

#NLS_ENCODING=UTF-8
#NLS_MESSAGEFORMAT_NONE

# AggregateMode
AggregateMode_dynamic = Dynamic
AggregateMode_static = Static

# CardinalityEnum
CardinalityEnum_zero = Zero
CardinalityEnum_one = One
CardinalityEnum_many = Many

# ContextMode
ContextMode_warnWhenMissing = Warn When Context is Missing
ContextMode_includeInQuery =  Context Required in Query
ContextMode_infoWhenMissing = Information When Context is Missing

# FacetTypeEnabled
FacetTypeEnabled_automatic = Automatic
FacetTypeEnabled_true = True
FacetTypeEnabled_false = False

# GenerateSQL 
GenerateSQL_asView = All Query Items Appear in the Generated SQL
GenerateSQL_minimized = Only Required Query Items Appear in the Generated SQL

# HighLevelDataType
HighLevelDataType_boolean = Boolean
HighLevelDataType_string = Text
HighLevelDataType_integer = Integer
HighLevelDataType_decimal = Decimal
HighLevelDataType_datetime = Timestamp
HighLevelDataType_time = Time
HighLevelDataType_date = Date
HighLevelDataType_interval = Interval
HighLevelDataType_array = Currency
HighLevelDataType_object = Binary
HighLevelDataType_period = Period

# InstanceType
InstanceType_copy = Copy
InstanceType_local = Local
InstanceType_missing = Missing
InstanceType_reference = Reference

# JoinFilterType
JoinFilterType_none = None
JoinFilterType_in = In
JoinFilterType_between = Between
JoinFilterType_table = Table

# ProParameterMode
ProParameterMode_in = Input
ProParameterMode_out = Output
ProParameterMode_inout = Overwrite

# QuerySubjectUsage
QuerySubjectUsage_automatic = Automatic
QuerySubjectUsage_bridge = Bridge
QuerySubjectUsage_summaryQuery = Summary Query


# RegularAggregateType
RegularAggregateType_automatic = Automatic
RegularAggregateType_none = None
RegularAggregateType_average = Average
RegularAggregateType_calculated = Aggregate then Calculate
RegularAggregateType_count = Count
RegularAggregateType_countDistinct = Count Distinct
RegularAggregateType_countNonZero = Count Non-Zero
RegularAggregateType_minimum = Minimum
RegularAggregateType_median = Median
RegularAggregateType_maximum = Maximum
RegularAggregateType_standardDeviation = Standard Deviation
RegularAggregateType_total = Total
RegularAggregateType_variance = Variance

# SetOperation
# these strings are translatable, the translated ones should be in capitals as well
SetOperation_UNION = UNION
SetOperation_INTERSECT = INTERSECT
SetOperation_EXCEPT = EXCEPT

# SetOperationDuplicates
SetOperationDuplicates_remove = Remove
SetOperationDuplicates_preserve = Preserve

# SortOrder
SortOrder_ascending = Ascending
SortOrder_descending = Descending

# SortOrderNullPlacement
SortOrderNullPlacement_first = First
SortOrderNullPlacement_last = Last

# SourceCategoryType
SourceCategoryType_calculation = Calculation
SourceCategoryType_column = Column
SourceCategoryType_dimension/measure = Dimension/Measure
SourceCategoryType_dimension/regular = Dimension/Regular
SourceCategoryType_folder = Folder
SourceCategoryType_hierarchy/level = Hierarchy/Level
SourceCategoryType_hierarchy/parent-child = Hierarchy/Parent-Child
SourceCategoryType_level = Level
SourceCategoryType_measure = Measure
SourceCategoryType_namedSet = Named Set
SourceCategoryType_property = Property
SourceCategoryType_table = Table
SourceCategoryType_variable = Variable

# SplitColumnTreatment
SplitColumnTreatment_show = Show
SplitColumnTreatment_hide = Hide

# SplitDisplay
SplitDisplay_inline = Inline
SplitDisplay_folder = Folder

# SqlLanguageType
SqlLanguageType_cognos = Cognos
SqlLanguageType_native = Native
SqlLanguageType_passThrough = Pass-through

# TableType
# these strings are translatable, the translated ones should be in capitals as well
TableType_TABLE = TABLE
TableType_VIEW = VIEW
TableType_SYSTEM_TABLE = SYSTEM_TABLE
TableType_GLOBAL_TEMPORARY = GLOBAL_TEMPORARY
TableType_LOCAL_TEMPORARY = LOCAL_TEMPORARY
TableType_ALIAS = ALIAS
TableType_SYNONYM = SYNONYM

# UsageType
UsageType_automatic = Automatic
UsageType_identifier = Identifier
UsageType_attribute = Attribute
UsageType_fact = Measure

# UseSpecType
UseSpecType_database = Database
UseSpecType_file = File
UseSpecType_module = Module
UseSpecType_dataset = Dataset
UseSpecType_package = Package

